VTK: QVTKInteractorAdapter Class Reference

| VTK 9.3.1

Public Member Functions | Protected Attributes | Static Protected Attributes | List of all members
QVTKInteractorAdapter Class Reference

`#include <QVTKInteractorAdapter.h>`

Inheritance diagram for QVTKInteractorAdapter:
[legend]

## Public Member Functions
| QVTKInteractorAdapter (QObject *parent=nullptr)
| ~QVTKInteractorAdapter () override
void | SetDevicePixelRatio (float ratio, vtkRenderWindowInteractor *iren=nullptr)
float | GetDevicePixelRatio ()
bool | ProcessEvent (QEvent *e, vtkRenderWindowInteractor *iren)

## Protected Attributes
int | AccumulatedDelta
float | DevicePixelRatio

## Static Protected Attributes
static const double | DevicePixelRatioTolerance

## Detailed Description

Definition at line 30 of file QVTKInteractorAdapter.h.

## Constructor & Destructor Documentation

## ◆ QVTKInteractorAdapter()

QVTKInteractorAdapter::QVTKInteractorAdapter | ( | QObject * | parent = `nullptr` | ) |

## ◆ ~QVTKInteractorAdapter()

QVTKInteractorAdapter::~QVTKInteractorAdapter | ( |  | ) |
| override

## Member Function Documentation

## ◆ SetDevicePixelRatio()

void QVTKInteractorAdapter::SetDevicePixelRatio | ( | float | ratio,
|  | vtkRenderWindowInteractor * | iren = `nullptr`
| ) |  |

## ◆ GetDevicePixelRatio()

float QVTKInteractorAdapter::GetDevicePixelRatio | ( |  | ) |
| inline

Definition at line 45 of file QVTKInteractorAdapter.h.

## ◆ ProcessEvent()

bool QVTKInteractorAdapter::ProcessEvent | ( | QEvent * | e,
|  | vtkRenderWindowInteractor * | iren
| ) |  |

## Member Data Documentation

## ◆ AccumulatedDelta

int QVTKInteractorAdapter::AccumulatedDelta
| protected

Definition at line 53 of file QVTKInteractorAdapter.h.

## ◆ DevicePixelRatio

float QVTKInteractorAdapter::DevicePixelRatio
| protected

Definition at line 54 of file QVTKInteractorAdapter.h.

## ◆ DevicePixelRatioTolerance

const double QVTKInteractorAdapter::DevicePixelRatioTolerance
| staticprotected

Definition at line 55 of file QVTKInteractorAdapter.h.

The documentation for this class was generated from the following file:

- GUISupport/Qt/QVTKInteractorAdapter.h